<?php
    /**
     * 관리자전용 쿼리를 실행하거나 유틸을 가지고 있는 클래스
     * 
     * @class  cashbookAdminModel
     * @author jedison (master@xgenesis.org)
     * @brief  cashbook 모듈의Admin  Model class
     **/

    class cashbookAdminModel extends cashbook {

        /**
         * @brief 초기화
         **/
        function init() {

        }
        
    	/**
    	 * @brief 
    	 * 
    	 * @param $args
    	 * @return unknown_type
    	 */
        function deleteModuleAdmins($args) {       	
            $output = executeQuery('cashbook.deleteModuleAdmins', $args);
debugPrint($output);            
            return $output;
        }
        
    	/**
    	 * @brief 
    	 * 
    	 * @param $args
    	 * @return unknown_type
    	 */
        function deleteModuleGrants($args) {       	
            $output = executeQuery('cashbook.deleteModuleGrants', $args);
            return $output;
        }
        
    	/**
    	 * @brief 
    	 * 
    	 * @param $args
    	 * @return unknown_type
    	 */
        function deleteModulePartConfig($args) {       	
            $output = executeQuery('cashbook.deleteModulePartConfig', $args);
            return $output;
        }
        
    	/**
    	 * @brief 
    	 * 
    	 * @param $args
    	 * @return unknown_type
    	 */
        function deleteModules($args) {       	
            $output = executeQuery('cashbook.deleteModules', $args);
            return $output;
        }
    }
?>